import mongoose from "mongoose";

/**
 * Creates a connection to Mongo
 *
 * @param uri the URI of the mongo instance
 * @returns the mongoose connection
 */
export async function connectMongo(uri: string) {
  // Check if mongoose is already connected
  if (mongoose.connection.readyState) {
    return;
  }
  return mongoose.connect(uri, {
    autoCreate: true,
    family: 4,
  });
}
